<?php

class bdNoConvoEmail_XenForo_Model_Conversation extends XFCP_bdNoConvoEmail_XenForo_Model_Conversation
{
	public function bdNoConvoEmail_update(array $recipient, $data)
	{
		return $this->_getDb()->update('xf_conversation_recipient', $data, array(
			'conversation_id = ?' => $recipient['conversation_id'],
			'user_id = ?' => $recipient['user_id'],
		));
	}

	public function insertConversationAlert(array $conversation, array $alertUser, $action, array $triggerUser = null, array $extraData = null, array &$messageInfo = null)
	{
		if (isset($alertUser['bdnoconvoemail_disabled']) AND intval($alertUser['bdnoconvoemail_disabled']) > 0)
		{
			// our record shows that use turned off email for this conversation...
			// returning false to prevent email from being sent
			return false;
		}

		return parent::insertConversationAlert($conversation, $alertUser, $action, $triggerUser, $extraData, $messageInfo);
	}

}
